import { getHighlighter as getHighlighter$1 } from './core.mjs';

const themes = {
  "css-variables": () => import('./themes/css-variables.mjs').then((r) => r.default),
  "dark-plus": () => import('./themes/dark-plus.mjs').then((r) => r.default),
  "dracula-soft": () => import('./themes/dracula-soft.mjs').then((r) => r.default),
  "dracula": () => import('./themes/dracula.mjs').then((r) => r.default),
  "github-dark-dimmed": () => import('./themes/github-dark-dimmed.mjs').then((r) => r.default),
  "github-dark": () => import('./themes/github-dark.mjs').then((r) => r.default),
  "github-light": () => import('./themes/github-light.mjs').then((r) => r.default),
  "hc_light": () => import('./themes/hc_light.mjs').then((r) => r.default),
  "light-plus": () => import('./themes/light-plus.mjs').then((r) => r.default),
  "material-theme-darker": () => import('./themes/material-theme-darker.mjs').then((r) => r.default),
  "material-theme-lighter": () => import('./themes/material-theme-lighter.mjs').then((r) => r.default),
  "material-theme-ocean": () => import('./themes/material-theme-ocean.mjs').then((r) => r.default),
  "material-theme-palenight": () => import('./themes/material-theme-palenight.mjs').then((r) => r.default),
  "material-theme": () => import('./themes/material-theme.mjs').then((r) => r.default),
  "min-dark": () => import('./themes/min-dark.mjs').then((r) => r.default),
  "min-light": () => import('./themes/min-light.mjs').then((r) => r.default),
  "monokai": () => import('./themes/monokai.mjs').then((r) => r.default),
  "nord": () => import('./themes/nord.mjs').then((r) => r.default),
  "one-dark-pro": () => import('./themes/one-dark-pro.mjs').then((r) => r.default),
  "poimandres": () => import('./themes/poimandres.mjs').then((r) => r.default),
  "rose-pine-dawn": () => import('./themes/rose-pine-dawn.mjs').then((r) => r.default),
  "rose-pine-moon": () => import('./themes/rose-pine-moon.mjs').then((r) => r.default),
  "rose-pine": () => import('./themes/rose-pine.mjs').then((r) => r.default),
  "slack-dark": () => import('./themes/slack-dark.mjs').then((r) => r.default),
  "slack-ochin": () => import('./themes/slack-ochin.mjs').then((r) => r.default),
  "solarized-dark": () => import('./themes/solarized-dark.mjs').then((r) => r.default),
  "solarized-light": () => import('./themes/solarized-light.mjs').then((r) => r.default),
  "vitesse-dark": () => import('./themes/vitesse-dark.mjs').then((r) => r.default),
  "vitesse-light": () => import('./themes/vitesse-light.mjs').then((r) => r.default)
};

const languages = {
  "abap": () => import('./languages/abap.mjs').then((r) => r.default),
  "actionscript-3": () => import('./languages/actionscript-3.mjs').then((r) => r.default),
  "ada": () => import('./languages/ada.mjs').then((r) => r.default),
  "apache": () => import('./languages/apache.mjs').then((r) => r.default),
  "apex": () => import('./languages/apex.mjs').then((r) => r.default),
  "apl": () => import('./languages/apl.mjs').then((r) => r.default),
  "applescript": () => import('./languages/applescript.mjs').then((r) => r.default),
  "ara": () => import('./languages/ara.mjs').then((r) => r.default),
  "asm": () => import('./languages/asm.mjs').then((r) => r.default),
  "astro": () => import('./languages/astro.mjs').then((r) => r.default),
  "awk": () => import('./languages/awk.mjs').then((r) => r.default),
  "ballerina": () => import('./languages/ballerina.mjs').then((r) => r.default),
  "bat": () => import('./languages/bat.mjs').then((r) => r.default),
  "beancount": () => import('./languages/beancount.mjs').then((r) => r.default),
  "berry": () => import('./languages/berry.mjs').then((r) => r.default),
  "bibtex": () => import('./languages/bibtex.mjs').then((r) => r.default),
  "bicep": () => import('./languages/bicep.mjs').then((r) => r.default),
  "blade": () => import('./languages/blade.mjs').then((r) => r.default),
  "c": () => import('./languages/c.mjs').then((r) => r.default),
  "cadence": () => import('./languages/cadence.mjs').then((r) => r.default),
  "clarity": () => import('./languages/clarity.mjs').then((r) => r.default),
  "clojure": () => import('./languages/clojure.mjs').then((r) => r.default),
  "cmake": () => import('./languages/cmake.mjs').then((r) => r.default),
  "cobol": () => import('./languages/cobol.mjs').then((r) => r.default),
  "codeql": () => import('./languages/codeql.mjs').then((r) => r.default),
  "coffee": () => import('./languages/coffee.mjs').then((r) => r.default),
  "cpp": () => import('./languages/cpp.mjs').then((r) => r.default),
  "crystal": () => import('./languages/crystal.mjs').then((r) => r.default),
  "csharp": () => import('./languages/csharp.mjs').then((r) => r.default),
  "css": () => import('./languages/css.mjs').then((r) => r.default),
  "cue": () => import('./languages/cue.mjs').then((r) => r.default),
  "cypher": () => import('./languages/cypher.mjs').then((r) => r.default),
  "d": () => import('./languages/d.mjs').then((r) => r.default),
  "dart": () => import('./languages/dart.mjs').then((r) => r.default),
  "dax": () => import('./languages/dax.mjs').then((r) => r.default),
  "diff": () => import('./languages/diff.mjs').then((r) => r.default),
  "docker": () => import('./languages/docker.mjs').then((r) => r.default),
  "dream-maker": () => import('./languages/dream-maker.mjs').then((r) => r.default),
  "elixir": () => import('./languages/elixir.mjs').then((r) => r.default),
  "elm": () => import('./languages/elm.mjs').then((r) => r.default),
  "erb": () => import('./languages/erb.mjs').then((r) => r.default),
  "erlang": () => import('./languages/erlang.mjs').then((r) => r.default),
  "fish": () => import('./languages/fish.mjs').then((r) => r.default),
  "fsharp": () => import('./languages/fsharp.mjs').then((r) => r.default),
  "gdresource": () => import('./languages/gdresource.mjs').then((r) => r.default),
  "gdscript": () => import('./languages/gdscript.mjs').then((r) => r.default),
  "gdshader": () => import('./languages/gdshader.mjs').then((r) => r.default),
  "gherkin": () => import('./languages/gherkin.mjs').then((r) => r.default),
  "git-commit": () => import('./languages/git-commit.mjs').then((r) => r.default),
  "git-rebase": () => import('./languages/git-rebase.mjs').then((r) => r.default),
  "glimmer-js": () => import('./languages/glimmer-js.mjs').then((r) => r.default),
  "glimmer-ts": () => import('./languages/glimmer-ts.mjs').then((r) => r.default),
  "glsl": () => import('./languages/glsl.mjs').then((r) => r.default),
  "gnuplot": () => import('./languages/gnuplot.mjs').then((r) => r.default),
  "go": () => import('./languages/go.mjs').then((r) => r.default),
  "graphql": () => import('./languages/graphql.mjs').then((r) => r.default),
  "groovy": () => import('./languages/groovy.mjs').then((r) => r.default),
  "hack": () => import('./languages/hack.mjs').then((r) => r.default),
  "haml": () => import('./languages/haml.mjs').then((r) => r.default),
  "handlebars": () => import('./languages/handlebars.mjs').then((r) => r.default),
  "haskell": () => import('./languages/haskell.mjs').then((r) => r.default),
  "hcl": () => import('./languages/hcl.mjs').then((r) => r.default),
  "hjson": () => import('./languages/hjson.mjs').then((r) => r.default),
  "hlsl": () => import('./languages/hlsl.mjs').then((r) => r.default),
  "html": () => import('./languages/html.mjs').then((r) => r.default),
  "http": () => import('./languages/http.mjs').then((r) => r.default),
  "imba": () => import('./languages/imba.mjs').then((r) => r.default),
  "ini": () => import('./languages/ini.mjs').then((r) => r.default),
  "java": () => import('./languages/java.mjs').then((r) => r.default),
  "javascript": () => import('./languages/javascript.mjs').then((r) => r.default),
  "jinja-html": () => import('./languages/jinja-html.mjs').then((r) => r.default),
  "jison": () => import('./languages/jison.mjs').then((r) => r.default),
  "json": () => import('./languages/json.mjs').then((r) => r.default),
  "json5": () => import('./languages/json5.mjs').then((r) => r.default),
  "jsonc": () => import('./languages/jsonc.mjs').then((r) => r.default),
  "jsonl": () => import('./languages/jsonl.mjs').then((r) => r.default),
  "jsonnet": () => import('./languages/jsonnet.mjs').then((r) => r.default),
  "jssm": () => import('./languages/jssm.mjs').then((r) => r.default),
  "jsx": () => import('./languages/jsx.mjs').then((r) => r.default),
  "julia": () => import('./languages/julia.mjs').then((r) => r.default),
  "kotlin": () => import('./languages/kotlin.mjs').then((r) => r.default),
  "kusto": () => import('./languages/kusto.mjs').then((r) => r.default),
  "latex": () => import('./languages/latex.mjs').then((r) => r.default),
  "less": () => import('./languages/less.mjs').then((r) => r.default),
  "liquid": () => import('./languages/liquid.mjs').then((r) => r.default),
  "lisp": () => import('./languages/lisp.mjs').then((r) => r.default),
  "logo": () => import('./languages/logo.mjs').then((r) => r.default),
  "lua": () => import('./languages/lua.mjs').then((r) => r.default),
  "make": () => import('./languages/make.mjs').then((r) => r.default),
  "markdown": () => import('./languages/markdown.mjs').then((r) => r.default),
  "marko": () => import('./languages/marko.mjs').then((r) => r.default),
  "matlab": () => import('./languages/matlab.mjs').then((r) => r.default),
  "mdx": () => import('./languages/mdx.mjs').then((r) => r.default),
  "mermaid": () => import('./languages/mermaid.mjs').then((r) => r.default),
  "narrat": () => import('./languages/narrat.mjs').then((r) => r.default),
  "nextflow": () => import('./languages/nextflow.mjs').then((r) => r.default),
  "nginx": () => import('./languages/nginx.mjs').then((r) => r.default),
  "nim": () => import('./languages/nim.mjs').then((r) => r.default),
  "nix": () => import('./languages/nix.mjs').then((r) => r.default),
  "objective-c": () => import('./languages/objective-c.mjs').then((r) => r.default),
  "objective-cpp": () => import('./languages/objective-cpp.mjs').then((r) => r.default),
  "ocaml": () => import('./languages/ocaml.mjs').then((r) => r.default),
  "pascal": () => import('./languages/pascal.mjs').then((r) => r.default),
  "perl": () => import('./languages/perl.mjs').then((r) => r.default),
  "php": () => import('./languages/php.mjs').then((r) => r.default),
  "plsql": () => import('./languages/plsql.mjs').then((r) => r.default),
  "postcss": () => import('./languages/postcss.mjs').then((r) => r.default),
  "powerquery": () => import('./languages/powerquery.mjs').then((r) => r.default),
  "powershell": () => import('./languages/powershell.mjs').then((r) => r.default),
  "prisma": () => import('./languages/prisma.mjs').then((r) => r.default),
  "prolog": () => import('./languages/prolog.mjs').then((r) => r.default),
  "proto": () => import('./languages/proto.mjs').then((r) => r.default),
  "pug": () => import('./languages/pug.mjs').then((r) => r.default),
  "puppet": () => import('./languages/puppet.mjs').then((r) => r.default),
  "purescript": () => import('./languages/purescript.mjs').then((r) => r.default),
  "python": () => import('./languages/python.mjs').then((r) => r.default),
  "r": () => import('./languages/r.mjs').then((r) => r.default),
  "raku": () => import('./languages/raku.mjs').then((r) => r.default),
  "razor": () => import('./languages/razor.mjs').then((r) => r.default),
  "reg": () => import('./languages/reg.mjs').then((r) => r.default),
  "rel": () => import('./languages/rel.mjs').then((r) => r.default),
  "riscv": () => import('./languages/riscv.mjs').then((r) => r.default),
  "rst": () => import('./languages/rst.mjs').then((r) => r.default),
  "ruby": () => import('./languages/ruby.mjs').then((r) => r.default),
  "rust": () => import('./languages/rust.mjs').then((r) => r.default),
  "sas": () => import('./languages/sas.mjs').then((r) => r.default),
  "sass": () => import('./languages/sass.mjs').then((r) => r.default),
  "scala": () => import('./languages/scala.mjs').then((r) => r.default),
  "scheme": () => import('./languages/scheme.mjs').then((r) => r.default),
  "scss": () => import('./languages/scss.mjs').then((r) => r.default),
  "shaderlab": () => import('./languages/shaderlab.mjs').then((r) => r.default),
  "shellscript": () => import('./languages/shellscript.mjs').then((r) => r.default),
  "smalltalk": () => import('./languages/smalltalk.mjs').then((r) => r.default),
  "solidity": () => import('./languages/solidity.mjs').then((r) => r.default),
  "sparql": () => import('./languages/sparql.mjs').then((r) => r.default),
  "sql": () => import('./languages/sql.mjs').then((r) => r.default),
  "ssh-config": () => import('./languages/ssh-config.mjs').then((r) => r.default),
  "stata": () => import('./languages/stata.mjs').then((r) => r.default),
  "stylus": () => import('./languages/stylus.mjs').then((r) => r.default),
  "svelte": () => import('./languages/svelte.mjs').then((r) => r.default),
  "swift": () => import('./languages/swift.mjs').then((r) => r.default),
  "system-verilog": () => import('./languages/system-verilog.mjs').then((r) => r.default),
  "tasl": () => import('./languages/tasl.mjs').then((r) => r.default),
  "tcl": () => import('./languages/tcl.mjs').then((r) => r.default),
  "tex": () => import('./languages/tex.mjs').then((r) => r.default),
  "toml": () => import('./languages/toml.mjs').then((r) => r.default),
  "tsx": () => import('./languages/tsx.mjs').then((r) => r.default),
  "turtle": () => import('./languages/turtle.mjs').then((r) => r.default),
  "twig": () => import('./languages/twig.mjs').then((r) => r.default),
  "typescript": () => import('./languages/typescript.mjs').then((r) => r.default),
  "v": () => import('./languages/v.mjs').then((r) => r.default),
  "vb": () => import('./languages/vb.mjs').then((r) => r.default),
  "verilog": () => import('./languages/verilog.mjs').then((r) => r.default),
  "vhdl": () => import('./languages/vhdl.mjs').then((r) => r.default),
  "viml": () => import('./languages/viml.mjs').then((r) => r.default),
  "vue-html": () => import('./languages/vue-html.mjs').then((r) => r.default),
  "vue": () => import('./languages/vue.mjs').then((r) => r.default),
  "vyper": () => import('./languages/vyper.mjs').then((r) => r.default),
  "wasm": () => import('./languages/wasm.mjs').then((r) => r.default),
  "wenyan": () => import('./languages/wenyan.mjs').then((r) => r.default),
  "wgsl": () => import('./languages/wgsl.mjs').then((r) => r.default),
  "wolfram": () => import('./languages/wolfram.mjs').then((r) => r.default),
  "xml": () => import('./languages/xml.mjs').then((r) => r.default),
  "xsl": () => import('./languages/xsl.mjs').then((r) => r.default),
  "yaml": () => import('./languages/yaml.mjs').then((r) => r.default),
  "zenscript": () => import('./languages/zenscript.mjs').then((r) => r.default)
};

let _onigurumaPromise = null;
async function getWasmInlined() {
  if (!_onigurumaPromise) {
    _onigurumaPromise = import('./onig.mjs').then((r) => ({ data: r.default }));
  }
  return _onigurumaPromise;
}
async function getHighlighter(options = {}) {
  var _a, _b;
  const _themes = ((_a = options.themes) != null ? _a : ["nord"]).map((i) => {
    if (typeof i === "string")
      return themes[i];
    return i;
  });
  const langs = ((_b = options.langs) != null ? _b : Object.keys(languages)).map((i) => {
    if (typeof i === "string")
      return languages[i];
    return i;
  });
  return getHighlighter$1({
    ...options,
    themes: _themes,
    langs,
    loadWasm: getWasmInlined
  });
}

export { getHighlighter, getWasmInlined };
